## com.lowagie.bc.asn1
Class DERObjectIdentifier

    java.lang.Object
      com.lowagie.bc.asn1.DERObject
          com.lowagie.bc.asn1.DERObjectIdentifier

All Implemented Interfaces:
  DEREncodable, DERTags

public class DERObjectIdentifier
extends DERObject

Field Summary
`(package private) String` `identifier`

Fields inherited from interface com.lowagie.bc.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`(package private)` `DERObjectIdentifier(byte[] bytes)`
`` `DERObjectIdentifier(String identifier)`

Method Summary
`(package private) void` `encode(DEROutputStream out)`
`boolean` `equals(Object o)`
`String` `getId()`
`static DERObjectIdentifier` `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Object Identifier from a tagged object.
`static DERObjectIdentifier` `getInstance(Object obj)` return an OID from the passed in object
`int` `hashCode()`
`private void` `writeField(OutputStream out, int fieldValue)`

Methods inherited from class com.lowagie.bc.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### identifier

    String identifier

Constructor Detail

### DERObjectIdentifier

    DERObjectIdentifier(byte[] bytes)

### DERObjectIdentifier

    public DERObjectIdentifier(String identifier)

Method Detail

### getInstance

    public static DERObjectIdentifier getInstance(Object obj)

  return an OID from the passed in object

  Throws:
    `IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERObjectIdentifier getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

  return an Object Identifier from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `IllegalArgumentException` - if the tagged object cannot be converted.

### getId

    public String getId()

### writeField

    private void writeField(OutputStream out,
                            int fieldValue)
                     throws IOException

  Throws:
    `IOException`

### encode

    void encode(DEROutputStream out)
          throws IOException

  Specified by:
    `encode` in class `DERObject`
  Throws:
    `IOException`

### hashCode

    public int hashCode()

### equals

    public boolean equals(Object o)